## libnvidia-nscq-525 525.105.17

=== debian/changelog ===
libnvidia-nscq-525 (525.105.17-0ubuntu1) lunar; urgency=medium

  * New upstream release (LP: #2012529).
  * debian/rules:
    - Fix the objdump path so that it is not for amd64 only. This
      gets the correct soname, and fixes the nscq provides.
  * debian/templates/libnvidia-nscq-BRANCH.install.in:
    - Add the cli tools and include folders.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 27 Mar 2023 19:34:42 +0000

libnvidia-nscq-525 (525.85.12-0ubuntu1) lunar; urgency=medium

  * New upstream release (LP: #2003995).

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 01 Feb 2023 14:45:41 +0000

libnvidia-nscq-525 (525.60.13-0ubuntu1) lunar; urgency=medium

  * Initial release (LP: #1999530).

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 14 Dec 2022 13:17:05 +0000
