## libnvidia-nscq-525 525.125.06

=== debian/changelog ===
libnvidia-nscq-525 (525.125.06-0ubuntu0.22.10.1) kinetic; urgency=medium

  * New upstream release (LP: #2024675).

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 26 Jun 2023 16:07:07 +0000

libnvidia-nscq-525 (525.105.17-0ubuntu0.22.10.2) kinetic; urgency=medium

  * debian/templates/control.in:
    - Add transitional packages for the 515 series (LP: #2024247).

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 23 Jun 2023 17:15:17 +0000

libnvidia-nscq-525 (525.105.17-0ubuntu0.22.10.1) kinetic; urgency=medium

  * New upstream release (LP: #2012529).
  * debian/rules:
    - Fix the objdump path so that it is not for amd64 only. This
      gets the correct soname, and fixes the nscq provides.
  * debian/templates/libnvidia-nscq-BRANCH.install.in:
    - Add the cli tools and include folders.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 28 Mar 2023 07:28:36 +0000

libnvidia-nscq-525 (525.85.12-0ubuntu0.22.10.1) kinetic; urgency=medium

  * New upstream release (LP: #2003995).

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 01 Feb 2023 14:48:01 +0000

libnvidia-nscq-525 (525.60.13-0ubuntu0.22.10.1) kinetic; urgency=medium

  * Initial release (LP: #1999530).

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 14 Dec 2022 13:43:58 +0000
