## libnvidia-nscq-525 525.147.05

=== debian/changelog ===
libnvidia-nscq-525 (525.147.05-0ubuntu2.22.04.1) jammy; urgency=medium

  * End of support for 525 series, transition to 535. LP: #2049635

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Mon, 25 Mar 2024 15:14:20 +0100

libnvidia-nscq-525 (525.147.05-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream release (LP: #2038514).

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 31 Oct 2023 16:50:40 +0100

libnvidia-nscq-525 (525.105.17-0ubuntu0.22.04.2) jammy; urgency=medium

  * debian/templates/control.in:
    - Add transitional packages for the 515 series (LP: #2024247).

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 23 Jun 2023 17:16:17 +0000

libnvidia-nscq-525 (525.105.17-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream release (LP: #2012529).
  * debian/rules:
    - Fix the objdump path so that it is not for amd64 only. This
      gets the correct soname, and fixes the nscq provides.
  * debian/templates/libnvidia-nscq-BRANCH.install.in:
    - Add the cli tools and include folders.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 28 Mar 2023 07:29:15 +0000

libnvidia-nscq-525 (525.85.12-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream release (LP: #2003995).

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 01 Feb 2023 14:49:22 +0000

libnvidia-nscq-525 (525.60.13-0ubuntu0.22.04.1) jammy; urgency=medium

  * Initial release (LP: #1999530).

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 14 Dec 2022 13:48:13 +0000
